Skip to main content

Query Batch Models

Get a list of available models for batch processing.

Endpoint​

GET https://api.scriptix.io/api/v3/speech-to-text/models

Request Headers​

The following headers need to be present:

ParameterValueDescription
content-typeapplication/json
x-zoom-s2t-keyScriptix Batch API TokenAPI key of type batch needed for authorization

Responses​

Status codeDescriptionPayload
200Models Returned
401Unauthorized
415Content Invalid
422Body Invalid
500Server Error

Successful Querying​

On successful querying an API response with the language models will be provided. You should use the Key in the response to set the language for the session.

{
"count": 3,
"total_results": 3,
"result": [
{
"bcp47": "ar",
"has_punctuation": false,
"is_private": false,
"key": "ar",
"name": "Arabic",
"id": 1,
"is_trainable": false
},
{
"bcp47": "da",
"has_punctuation": false,
"is_private": false,
"key": "da",
"name": "Danish",
"id": 2,
"is_trainable": false
},
{
"bcp47": "nl",
"has_punctuation": true,
"is_private": false,
"key": "nl",
"name": "Dutch",
"id": 3,
"is_trainable": false
}
]
}

Next Steps​